package com.xhpc.pp.mapper;

import com.xhpc.common.domain.IccardInfo;
import com.xhpc.common.domain.IccardInfoExample;
import org.apache.ibatis.annotations.Mapper;
import org.apache.ibatis.annotations.Param;

import java.util.List;

@Mapper
public interface IccardInfoMapper {

    long countByExample(IccardInfoExample example);

    int deleteByExample(IccardInfoExample example);

    int deleteByPrimaryKey(Integer id);

    int insert(IccardInfo record);

    int insertSelective(IccardInfo record);

    List<IccardInfo> selectByExample(IccardInfoExample example);

    IccardInfo selectByPrimaryKey(Integer id);

    int updateByExampleSelective(@Param("record") IccardInfo record, @Param("example") IccardInfoExample example);

    int updateByExample(@Param("record") IccardInfo record, @Param("example") IccardInfoExample example);

    int updateByPrimaryKeySelective(IccardInfo record);

    int updateByPrimaryKey(IccardInfo record);

}
